summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2022-09-06 22:33:57 +0100
committerV3n3RiX <venerix@koprulu.sector>2022-09-06 22:33:57 +0100
commitc4b3d05f2d4415c0d6f135a3ea0d2055d6e055b5 (patch)
tree3ed89f0ec34cf85a0c06c027a6889e7890e08db6 /eclass
parent8965d348ad07c326c8e17e3137c151bcc98b0a53 (diff)
gentoo auto-resync : 06:09:2022 - 22:33:57
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin36986 -> 36983 bytes
-rw-r--r--eclass/kernel-install.eclass6
-rw-r--r--eclass/llvm.org.eclass2
3 files changed, 7 insertions, 1 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index caeb7a4b105c..73f32857eac7 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/kernel-install.eclass b/eclass/kernel-install.eclass
index 08f631b5e865..8acf1ad1bc05 100644
--- a/eclass/kernel-install.eclass
+++ b/eclass/kernel-install.eclass
@@ -418,6 +418,12 @@ kernel-install_pkg_preinst() {
eerror "Please verify that you are applying the correct patches."
die "Kernel release mismatch (${release} instead of ${PV}*)"
fi
+ if [[ -L ${EROOT}/lib && ${EROOT}/lib -ef ${EROOT}/usr/lib ]]; then
+ # Adjust symlinks for merged-usr.
+ rm "${ED}/lib/modules/${ver}"/{build,source} || die
+ dosym "../../../src/linux-${ver}" "/usr/lib/modules/${ver}/build"
+ dosym "../../../src/linux-${ver}" "/usr/lib/modules/${ver}/source"
+ fi
}
# @FUNCTION: kernel-install_install_all
diff --git a/eclass/llvm.org.eclass b/eclass/llvm.org.eclass
index 0d17b19c8abf..578077f67ed5 100644
--- a/eclass/llvm.org.eclass
+++ b/eclass/llvm.org.eclass
@@ -51,7 +51,7 @@ _LLVM_MASTER_MAJOR=16
# @INTERNAL
# @DESCRIPTION:
# The newest release of LLVM for which manpages were generated.
-_LLVM_NEWEST_MANPAGE_RELEASE=14.0.6
+_LLVM_NEWEST_MANPAGE_RELEASE=15.0.0
# @ECLASS_VARIABLE: _LLVM_SOURCE_TYPE
# @INTERNAL